RubyGems Navigation menu

rubocop 0.68.0

Automatic Ruby code style checking tool. Aims to enforce the community-driven Ruby Style Guide.

Versions:

  1. 1.31.0 - June 27, 2022 (541 KB)
  2. 1.30.1 - June 06, 2022 (532 KB)
  3. 1.30.0 - May 26, 2022 (531 KB)
  4. 1.29.1 - May 12, 2022 (528 KB)
  5. 1.29.0 - May 06, 2022 (528 KB)
  6. 0.68.0 - April 29, 2019 (412 KB)
Show all versions (209 total)

Runtime Dependencies (6):

  • jaro_winkler ~> 1.5.1
  • parallel ~> 1.10
  • parser >= 2.5, != 2.5.1.1
  • rainbow >= 2.2.2, < 4.0
  • ruby-progressbar ~> 1.7
  • unicode-display_width >= 1.4.0, < 1.6
  • Development Dependencies (2):

  • bundler >= 1.15.0, < 3.0
  • rack >= 2.0
  • Owners:

    Authors:

    • Bozhidar Batsov, Jonas Arvidsson, Yuji Nakayama

    SHA 256 checksum:

    8a1d642e344ef81164915cf00f021724a2ff1b17ff552369f8be36a7dc672b9c

    Total downloads 238,871,480

    For this version 405,062

    Gemfile:
    = Copy to clipboard Copied!

    install:
    =

    License:

    MIT

    Required Ruby Version: >= 2.2.2

    New versions require MFA: true

    Links: